package com.cmvr.edge.client.service;

import com.cmvr.edge.client.model.EdgeCommonVO;
import com.cmvr.edge.client.model.biohead.EdgeFacialExpressionVO;

/**
 * 边缘系统 生物头部机器人服务
 */
public interface EdgeBioHeadService {

    /**
     * 设置面部表情
     */
    public String setExpression(EdgeFacialExpressionVO facialExpressionVo);

    /**
     * 获取状态
     */
    public String getSystemStatus(EdgeCommonVO edgeCommonVO);


    /**
     * 紧急停止
     */
    public String emergencyStop(EdgeCommonVO edgeCommonVO);

    /**
     * 开始说话
     */
    public String speakStart(EdgeCommonVO edgeCommonVO);

    /**
     * 停止说话
     */
    public String speakStop(EdgeCommonVO edgeCommonVO);

    /**
     * 表情
     */
    public String specialExpression(String terminalId,String deviceId,Integer expressKey);

}
